Get Briefing By Date
GET
/api/v1/briefings/{briefing_date}
const url = 'https://api.ultimateteam.ai/api/v1/briefings/2026-04-15';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.ultimateteam.ai/api/v1/briefings/2026-04-15 \ --header 'X-API-Key: <X-API-Key>'Get a single briefing record by date.
Args: briefing_date: Calendar date (YYYY-MM-DD). user: Authenticated user context. db: Async database session.
Returns: BriefingRecordResponse for the given date.
Raises: HTTPException: 404 if no briefing found for date.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”briefing_date
required
Briefing Date
string format: date
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
BriefingRecordResponse
Response model for a single briefing record.
Used by the /api/v1/briefings endpoints and consumed by the frontend briefing archive page.
object
annotation_count
required
Annotation Count
integer
briefing_date
required
Briefing Date
string format: date
created_at
required
Created At
string format: date-time
id
required
Id
string format: uuid
status
required
Status
string
tenant_id
required
Tenant Id
string format: uuid
Examplegenerated
{ "annotation_count": 1, "briefing_date": "2026-04-15", "created_at": "2026-04-15T12:00:00Z", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "kpi_snapshot_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "status": "example", "summary": "example", "tenant_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "video_url": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}